---
title: "Dapr Documentation"
linkTitle: "Home"
weight: 1
no_list: true
description: >
  Docs, references, and best-practices for the Dapr project.
---


## Further documentation

| Area | Description |
|------|-------------|
| **[Command Line Interface (CLI)](https://github.com/dapr/cli)** | The Dapr CLI allows you to setup Dapr on your local dev machine or on a Kubernetes cluster, provides debugging support, launches and manages Dapr instances.
| **[Dapr Runtime](https://github.com/dapr/dapr)** | Dapr runtime code and overview documentation.
| **[Components Contribution](https://github.com/dapr/components-contrib)** | Open, community driven reusable components for building distributed applications.
| **SDKs** | - [Go SDK](https://github.com/dapr/go-sdk)<br>- [Java SDK](https://github.com/dapr/java-sdk)<br>- [Javascript SDK](https://github.com/dapr/js-sdk)<br>- [Python SDK](https://github.com/dapr/python-sdk)<br>- [.NET SDK](https://github.com/dapr/dotnet-sdk)<br>- [C++ SDK](https://github.com/dapr/cpp-sdk)<br>- [RUST SDK](https://github.com/dapr/rust-sdk)<br><br>**Note:** Dapr is language agnostic and provides a [RESTful HTTP API](./reference/api/README.md) in addition to the protobuf clients.
| **Frameworks** | - [Workflows](https://github.com/dapr/workflows)<br>- [Azure Functions extension](https://github.com/dapr/azure-functions-extension)<br>
| **[Dapr Presentations](./presentations)** | Previous Dapr presentations and information on how to give your own Dapr presentation.