---
title: "Dapr Reference Docs"
linkTitle: "Reference"
weight: 60
description: "Detailed documentation on the Dapr API, CLI, bindings and more"
---

# Dapr references

- **[Dapr CLI](https://github.com/dapr/cli)**: The Dapr CLI allows you to setup Dapr on your local dev machine or on a Kubernetes cluster, provides debugging support, launches and manages Dapr instances.
- **[Dapr APIs](./api)**: Dapr provides a variety of APIs to allow developers to access building block capabilities:
  - [Actors](./api/actors_api.md)
  - [Bindings](./api/bindings_api.md)
  - [Publish/Subscribe Messaging](./api/pubsub_api.md)
  - [Secrets](./api/secrets_api.md)
  - [Service Invocation](./api/service_invocation_api.md)
  - [State Management](./api/state_api.md)
- [Error Codes](./api/error_codes.md) returned by Dapr APIs.
- **[Dapr Binding Specs](./specs/bindings)**: Bindings provide triggers and interactions with external resources and services
- **[Monitoring Dashboard templates](./dashboard/README.md)**: Monitoring dashboard templates help Dapr user to monitor Dapr services by importing templates to their monitoring tools
